Bug 1296310 - ldclt - segmentation fault error while binding
Summary: ldclt - segmentation fault error while binding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL: http://faf-report.itos.redhat.com/rep...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-06 21:11 UTC by Simon Pichugin
Modified: 2016-11-03 20:38 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:38:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Simon Pichugin 2016-01-06 21:11:56 UTC
Description of problem:
ldclt binding query crashes with a certain set of parameters.

Version-Release number:
389-ds-base-1.3.4.0-21.el7_2.x86_64
ldclt version 4.23

How reproducible:
Always

Steps to Reproduce:
1. Install instance with setup-ds.pl
2. Run ldclt binding query with following set of parameters:
ldclt -h localhost -p 389 -e bindeach,bindonly -D uid=XXXX,dc=example,dc=com -w testXXXX -e randombinddn,randombinddnlow=0,randombinddnhigh=9999


Actual results:
ldclt version 4.23
ldclt[14001]: Starting at Wed Jan  6 22:06:10 2016

/usr/bin/ldclt: line 55: 14001 Segmentation fault      (core dumped) ${dir}/${COMMAND} "$@"


Expected results:
Successfully perform requested operation:
ldclt version 4.23
ldclt[14001]: Starting at Wed Jan  6 22:06:10 2016

...
ldclt[14001]: Ending at Wed Jan  6 22:06:00 2016
ldclt[14001]: Exit status 0 - No problem during execution.

Comment 3 Noriko Hosoi 2016-01-06 22:30:10 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48400

Comment 4 Mike McCune 2016-03-28 23:13:32 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Simon Pichugin 2016-05-16 12:06:07 UTC
Build tested:
389-ds-base-1.3.5.3-1.el7.x86_64

Verification steps:
1. Install Directory Server instance
2. Create ldclt user entry template
[spichugi@machine ~]$ cat /tmp/ldclt_template_lib389.ldif
objectClass: top
objectclass: person
objectClass: organizationalPerson
objectClass: inetorgperson
objectClass: posixAccount
objectClass: shadowAccount
sn: user[A]
cn: user[A]
givenName: user[A]
description: description [A]
userPassword: user[A]
mail: user[A]@example.com
uidNumber: 1[A]
gidNumber: 2[A]
shadowMin: 0
shadowMax: 99999
shadowInactive: 30
shadowWarning: 7
homeDirectory: /home/user[A]
loginShell: /bin/false

3. Create 1000 users with ldclt
[spichugi@machine ~]$ /bin/ldclt-bin -h localhost -p 54321 -D "cn=Directory Manager" -w Secret123 -b ou=People,dc=example,dc=com -e add,commoncounter -e "object=/tmp/ldclt_template_lib389.ldif,rdn=uid:user[A=INCRNNOLOOP(100
0;1999;4)]"
ldclt version 4.23
ldclt[29025]: Starting at Mon May 16 07:58:11 2016
...
ldclt[29025]: Ending at Mon May 16 07:58:31 2016
ldclt[29025]: Exit status 0 - No problem during execution.

4. Run bind ldclt operations
[spichugi@machine ~]$ /bin/ldclt-bin -h localhost -p 54321 -N 3 -D uid=userXXXX,ou=People,dc=example,dc=com -w userXXXX -e randombinddn,randombinddnlow=1000,randombinddnhigh=1999 -e bindonly
ldclt version 4.23
ldclt[29036]: Starting at Mon May 16 07:59:20 2016

ldclt[29036]: Average rate: 25386042.00/thr  (25386042.00/sec), total: 253860416
ldclt[29036]: Average rate: 25971052.00/thr  (25971052.00/sec), total: 259710514
ldclt[29036]: Average rate: 25273116.00/thr  (25273116.00/sec), total: 252731156
ldclt[29036]: T000: thread is dead.
ldclt[29036]: T006: thread is dead.
ldclt[29036]: Number of samples achieved. Bye-bye...
ldclt[29036]: All threads are dead - exit.
ldclt[29036]: Global average rate: 76630208.00/thr  (25543402.00/sec), total: 766302086
ldclt[29036]: Global number times "no activity" reports: never
ldclt[29036]: Global number of dead threads: 2
ldclt[29036]: Global no error occurs during this session.
ldclt[29036]: Ending at Mon May 16 07:59:50 2016
ldclt[29036]: Exit status 0 - No problem during execution.

No segmentation fault appears.

Marking as verified.

Comment 8 errata-xmlrpc 2016-11-03 20:38:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.